# eric3.Wizards.PyRegExpWizard.PyRegExpWizardForm

### Classes

PyRegExpWizardForm |

### Functions

None

## PyRegExpWizardForm

### Derived from

QDialog

### Methods

PyRegExpWizardForm |
__tr |
copy |
execute |
handleAlternatives |
handleAnyChar |
handleBeginLine |
handleCharacters |
handleComment |
handleEndLine |
handleGroup |
handleNamedGroup |
handleNamedReference |
handleNegLookahead |
handleNegLookbehind |
handleNonGroup |
handleNonWordBoundary |
handlePosLookahead |
handlePosLookbehind |
handleRepeat |
handleWordBoundary |
languageChange |
validate |

### PyRegExpWizardForm (Constructor)

PyRegExpWizardForm(parent = None, name = None, modal = 0, fl = 0)

### PyRegExpWizardForm.__tr

__tr(s, c = None)

### PyRegExpWizardForm.copy

copy()

### PyRegExpWizardForm.execute

execute()

### PyRegExpWizardForm.handleAlternatives

handleAlternatives()

### PyRegExpWizardForm.handleAnyChar

handleAnyChar()

### PyRegExpWizardForm.handleBeginLine

handleBeginLine()

### PyRegExpWizardForm.handleCharacters

handleCharacters()

### PyRegExpWizardForm.handleComment

handleComment()

### PyRegExpWizardForm.handleEndLine

handleEndLine()

### PyRegExpWizardForm.handleGroup

handleGroup()

### PyRegExpWizardForm.handleNamedGroup

handleNamedGroup()

### PyRegExpWizardForm.handleNamedReference

handleNamedReference()

### PyRegExpWizardForm.handleNegLookahead

handleNegLookahead()

### PyRegExpWizardForm.handleNegLookbehind

handleNegLookbehind()

### PyRegExpWizardForm.handleNonGroup

handleNonGroup()

### PyRegExpWizardForm.handleNonWordBoundary

handleNonWordBoundary()

### PyRegExpWizardForm.handlePosLookahead

handlePosLookahead()

### PyRegExpWizardForm.handlePosLookbehind

handlePosLookbehind()

### PyRegExpWizardForm.handleRepeat

handleRepeat()

### PyRegExpWizardForm.handleWordBoundary

handleWordBoundary()

### PyRegExpWizardForm.languageChange

languageChange()

### PyRegExpWizardForm.validate

validate()
Up